View Issue Details

IDProjectCategoryView StatusLast Update
0001731XdebugUncategorizedpublic2020-01-12 14:49
ReporterbittarmanAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.9.0 
Target Version2.9.1Fixed in Version2.9.1 
Summary0001731: var_dump with DateTime does not output properties
Descriptionsince 7.4, var_dump with a DateTime instance does not output any internal properties
Steps To ReproduceUsing php 7.4
```
<?php

var_dump(new DateTime('2020-01-03 18:12:11.004558'));
```

will produce
```
object(DateTime)#1 (0) {
}
```
instead of
```
object(DateTime)#1 (3) {
  ["date"]=>
  string(26) "2020-01-03 18:12:11.004558"
  ["timezone_type"]=>
  int(3)
  ["timezone"]=>
  string(16) "Europe/Amsterdam"
}
```
TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Activities

derick

2020-01-12 14:30

administrator   ~0005208

Thanks for working on this! It's merged now.

Issue History

Date Modified Username Field Change
2020-01-03 17:13 bittarman New Issue
2020-01-12 14:30 derick Assigned To => derick
2020-01-12 14:30 derick Status new => closed
2020-01-12 14:30 derick Resolution open => fixed
2020-01-12 14:30 derick Fixed in Version => 2.9.1
2020-01-12 14:30 derick Note Added: 0005208
2020-01-12 14:49 derick Target Version => 2.9.1
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized